import { main } from '@/api'
import request from '@/utils/require'

//列表页
export function selectFarmProduceTransactionPageList(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/selectFarmProduceTransactionPageList?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',   
      data: data
    })
}

//新增保存
export function insertFarmProduceTransaction(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/insertFarmProduceTransaction`,
      method: 'post',   
      data: data
    })
}

//修改保存
export function updateFarmProduceTransaction(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/updateFarmProduceTransaction`,
      method: 'post',   
      data: data
    })
}


//xianqging
export function selectFarmProduceTransactionDetail(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/selectFarmProduceTransactionDetail`,
      method: 'post',   
      data: data
    })
}

//删除
export function deleteFarmProduceTransaction(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/deleteFarmProduceTransaction`,
      method: 'post',   
      data: data
    })
}

//发布
export function updateFarmProduceTransactionState(data) {
    return request({
      url: `${main}/transaction/farmproducetransaction/updateFarmProduceTransactionState`,
      method: 'post',   
      data: data
    })
}

